package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiHazEvaMapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazEva;
import com.goldenwater.slaj.hazard.service.ITBusiHazEvaService;

/**
 * 危险源安全生产评价 服务层实现
 */
@Service
public class TBusiHazEvaServiceImpl implements ITBusiHazEvaService {

    @Autowired
    private TBusiHazEvaMapper tBusiHazEvaMapper;

    /**
     * 查询危险源安全生产评价信息
     * @param guid 查询条件
     * @return 危险源安全生产评价信息
     */
    @Override
    public TBusiHazEva selectTBusiHazEvaByGuid(String guid) {
        return tBusiHazEvaMapper.selectTBusiHazEvaByGuid(guid);
    }

    /**
     * 查询危险源安全生产评价列表
     * @param tBusiHazEva 危险源安全生产评价查询条件
     * @return 危险源安全生产评价集合
     */
    @Override
    public List<TBusiHazEva> selectTBusiHazEvaList(TBusiHazEva tBusiHazEva) {
        return tBusiHazEvaMapper.selectTBusiHazEvaList(tBusiHazEva);
    }

    /**
     * 新增危险源安全生产评价
     * @param tBusiHazEva 危险源安全生产评价信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHazEva(TBusiHazEva tBusiHazEva) {
        return tBusiHazEvaMapper.insertTBusiHazEva(tBusiHazEva);
    }

    /**
     * 修改危险源安全生产评价
     * @param tBusiHazEva 危险源安全生产评价信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHazEva(TBusiHazEva tBusiHazEva) {
        return tBusiHazEvaMapper.updateTBusiHazEva(tBusiHazEva);
    }

    /**
     * 删除危险源安全生产评价
     * @param guid 危险源安全生产评价主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazEvaByGuid(String guid) {
        return tBusiHazEvaMapper.deleteTBusiHazEvaByGuid(guid);
    }

    /**
     * 批量删除危险源安全生产评价
     * @param guids 危险源安全生产评价主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazEvaByGuids(String[] guids) {
        return tBusiHazEvaMapper.deleteTBusiHazEvaByGuids(guids);
    }
}
